# syntax=docker/dockerfile:1

FROM python:latest

RUN git clone https://gitlab.com/gacybercenter/open/cyber-range-monitor.git -b 1-expand-functionality

WORKDIR "/cyber-range-monitor/"

# COPY requirements.txt requirements.txt
# COPY range_monitor range_monitor
# COPY instance instance
# COPY entrypoint.sh entrypoint.sh

RUN apt-get update
RUN python -m venv .venv
RUN . .venv/bin/activate
RUN pip install -r requirements.txt

ENV FLASK_APP=range_monitor
EXPOSE 5000

RUN chmod +x entrypoint.sh
CMD ["./entrypoint.sh"]
